Theme
Query Speech Generation Task Status
GET
https://www.kkiai.com/minimax/v1/query/t2a_async_query_v2
https://platform.minimaxi.com/docs/api-reference/speech-t2a-async-query
Request Parameters
Authorization
Add the Authorization parameter to the Header. Its value is the Token concatenated after Bearer.
Example: Authorization: Bearer ********************
Query Parameters
| Parameter Name | Type | Required | Description | Example |
|---|---|---|---|---|
task_id | string | Optional |
cURL Example
bash
curl --location --request GET 'https://www.kkiai.com/minimax/v1/query/t2a_async_query_v2?task_id' \
--header 'Authorization: Bearer <token>'Response
🟢 200 Success
Response Body
| Parameter Name | Type | Required | Description |
|---|---|---|---|
task_id | integer | Required | |
status | string | Required | |
file_id | integer | Required | |
base_resp | object | Required | |
└ status_code | integer | Required | |
└ status_msg | string | Required |
Response Example
json
{
"task_id": 95157322514444,
"status": "Processing",
"file_id": 95157322514496,
"base_resp": {
"status_code": 0,
"status_msg": "success"
}
}